> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List catalogs and their maintenance settings



## OpenAPI

````yaml get /api/maintenance/catalogs
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/maintenance/catalogs:
    get:
      tags:
        - Iceberg maintenance
      summary: List catalogs and their maintenance settings
      operationId: list_catalogs_api_maintenance_catalogs_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CatalogOut'
                type: array
                title: Response List Catalogs Api Maintenance Catalogs Get
        '400':
          description: Invalid scope.
        '403':
          description: Not allowed.
        '404':
          description: No such catalog or policy.
        '409':
          description: The policy or catalog changed, or can't change this way.
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    CatalogOut:
      properties:
        name:
          type: string
          title: Name
        kind:
          type: string
          title: Kind
        ownership:
          type: string
          enum:
            - platform
            - external
            - mirror
          title: Ownership
        enabled:
          type: boolean
          title: Enabled
        ownership_locked:
          type: boolean
          title: Ownership Locked
          description: 'A data-share catalog: maintained by the tenant that shares it.'
        present:
          type: boolean
          title: Present
          description: Seen in the latest catalog listing.
        has_policy:
          type: boolean
          title: Has Policy
        table_count:
          type: integer
          title: Table Count
          default: 0
        mirror_count:
          type: integer
          title: Mirror Count
          default: 0
        health:
          anyOf:
            - type: integer
            - type: 'null'
          title: Health
          description: Average health (0–100) of the catalog's tables.
        updated_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated By
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      type: object
      required:
        - name
        - kind
        - ownership
        - enabled
        - ownership_locked
        - present
        - has_policy
      title: CatalogOut
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.